# $Revision: 1.7 $, $Date: 2002/11/14 15:34:23 $
%include	/usr/lib/rpm/macros.php
%define		_class		Cache
%define		_subclass	Lite
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Fast and Safe little cache system
Summary(pl):	%{_pearname} - Szybki i bezpieczny system buforujcy
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a little cache system optimized for file containers.
It is fast and safe (because it uses file locking and/or
anti-corruption tests).

%description -l pl
Ten pakiet zawiera may system buforujcy zoptymalizowany dla
kontenerw plikw. Jest szybki i bezpieczny (poniewa uywa blokowania
plikw i/lub testw anti-corruption).

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}
install %{_pearname}-%{version}/%{_subclass}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/{tests,docs/*}
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Cache_Lite.spec,v $
Revision 1.7  2002/11/14 15:34:23  blues
- 1.0.1 - stable release of this class - STBR

Revision 1.6  2002/10/14 23:37:22  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.5  2002/09/30 15:42:01  blues
- 0.4 - WARNING: incompatible with previous versions! - STBR

Revision 1.4  2002/09/07 19:25:14  blues
- fix in macros

Revision 1.3  2002/08/31 11:20:36  blues
- 0.3 (beta class) - STBR

Revision 1.2  2002/08/11 20:34:03  blues
- 0.2.0 - few bugs corrected (this is still beta class); STBR

Revision 1.1  2002/08/08 21:13:59  blues
- initial release; STBR

